@echo off
title  ◇360木马云查杀卸载向导◇ 
cls
color 9F
:start
cls
color
MODE con: COLS=79 LINES=25
set tm1=%time:~0,2%
set tm2=%time:~3,2%
set tm3=%time:~6,2%
mode con cols=55 lines=10
etlocal disabledelayedexpansion

set file="full.ini"

set []=#
set #clear=#
for /f "delims=" %%a in ('findstr /n .* %file%') do (
    if defined #clear set "#clear=" >%file%
    set var=%%a$
    setlocal enabledelayedexpansion
    set var=!var:*:=!
    (
        if /i "![]!!var:~0,2!" == "[木马查杀]真=" (
            echo 真=false
        ) else (
            if /i "!![]!!var:~0,3!" neq "[木马查杀]路径=" (
                if /i "!![]!!var:~0,3!" neq "[木马查杀]文件=" (
                    echo,!var:~0,-1!
                    if "!var:~0,1!!var:~-2,-1!" == "[]" (
                        for %%a in ("!var:~0,-1!") do (
                            endlocal
                            set []=%%~a
                        )
                    ) else (
                        endlocal
                    )
                )
            )
        )
    ) >>%file%
)

exit